#
# spec file for package kf5-kactivities
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define lname   libKF5Activities4
Name:           kactivities5
Version:        4.95.0~git
Release:        0
Summary:        KDE Plasma Activities support
License:        LGPL-2.0+
Group:          System/GUI/KDE
Url:            git://anongit.kde.org/kde-runtime.git
Source0:        kactivities-%{version}.tar.xz
Patch0:         kamd-rename.patch
BuildRequires:  boost-devel >= 1.49.0
BuildRequires:  cmake
BuildRequires:  extra-cmake-modules
BuildRequires:  fdupes
BuildRequires:  kconfig-devel
BuildRequires:  kcoreaddons-devel
BuildRequires:  kdbusaddons-devel
BuildRequires:  kf5-filesystem
BuildRequires:  kf5umbrella
BuildRequires:  ki18n-devel
BuildRequires:  kservice-devel
BuildRequires:  kwindowsystem-devel
BuildRequires:  xz
BuildRequires:  pkgconfig(Qt5Core) >= 5.2.0
BuildRequires:  pkgconfig(Qt5DBus) >= 5.2.0
BuildRequires:  pkgconfig(Qt5Gui) >= 5.2.0
BuildRequires:  pkgconfig(Qt5Sql) >= 5.2.0
BuildRequires:  pkgconfig(Qt5Widgets) >= 5.2.0
BuildRequires:  pkgconfig(Qt5Qml) >= 5.2.0
BuildRequires:  pkgconfig(Qt5Test) >= 5.2.0
Obsoletes:      kf5-kactivities
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Kactivities provides an API for using and interacting with the Plasma Activities Manager.

%package -n %lname
Summary:        Library for KDE's Plasma Activities support
Group:          System/GUI/KDE

%description -n %lname
Kactivities provides an API for using and interacting with the Plasma Activities Manager.

%package devel
Summary:        KDE Base Libraries
Group:          System/GUI/KDE
Requires:       %lname = %{version}
Requires:       cmake
Requires:       extra-cmake-modules
Requires:       kdbusaddons-devel
Requires:       kf5umbrella
Obsoletes:      kf5-kactivities-devel

%description devel
Provides the interface and basic tools for the KDE workspace.

%prep
%setup -q -n kactivities-%{version}
%patch0 -p1

%build
%if 0%{?suse_version} == 1310
  %cmake_kf5 -d build -- -DKACTIVITIES_ENABLE_EXCEPTIONS=ON
%else
  %cmake_kf5 -d build
%endif
  %make_jobs

%install
  %kf5_makeinstall -C build
  %fdupes -s %{buildroot}

%post -n %lname -p /sbin/ldconfig

%postun -n %lname -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_kf5_bindir}/kactivitymanagerd5
%{_kf5_qmldir}/org/
%{_kf5_plugindir}/
%{_kf5_servicesdir}/
%{_kf5_servicetypesdir}/
%{_kf5_datadir}/ontology/

%files -n libKF5Activities4
%defattr(-,root,root,-)
%{_kf5_libdir}/libKF5Activities.so.*

%files devel
%defattr(-,root,root)
%{_kf5_libdir}/libKF5Activities.so
%{_kf5_libdir}/cmake/KF5Activities/
%dir %{_kf5_includedir}/*/
%{_kf5_includedir}/*/
%{_kf5_includedir}/*.h
%{_kf5_libdir}/pkgconfig/libKActivities.pc

%changelog
